Name: 		turba
Version:	2.3
Release:	1%{?dist}
Summary:	The Horde contact management application

Source0:	ftp://ftp.horde.org/pub/%{name}/%{name}-h3-%{version}.tar.gz
Group:		Applications/Internet
License:	GPL+ and LGPL+ and ASL 1.0
URL:		http://www.horde.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	gettext
Requires:	php >= 4.3.0
Requires:	horde >= 3

%description
Turba is the Horde contact management application, which allows access
to and storage of personal contacts (including name, email address,
phone number, and other easily customizable fields).  Turba integrates
with IMP (Horde's webmail application) as its address book.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with Turba)
please visit http://www.horde.org/.

%prep
%setup -q -n %{name}-h3-%{version}

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/horde/%{name}
# Copy eveything... except config and docs
cp -a * %{buildroot}%{_datadir}/horde/%{name}
rm -rf %{buildroot}%{_datadir}/horde/%{name}/config/
rm -rf %{buildroot}%{_datadir}/horde/%{name}/docs/
rm %{buildroot}%{_datadir}/horde/%{name}/LICENSE
rm %{buildroot}%{_datadir}/horde/%{name}/README*

# Copy locale *.mo files into /usr/share/locale
for lang in %{buildroot}%{_datadir}/horde/%{name}/locale/*; do
	mkdir -p %{buildroot}%{_datadir}/locale/`basename $lang`/LC_MESSAGES
	if [ -f $lang/LC_MESSAGES/*.mo ]; then
		for file in $lang/LC_MESSAGES/*.mo; do
			cp -a $file %{buildroot}%{_datadir}/locale/`basename $lang`/LC_MESSAGES/
		done
	fi
done
%find_lang %{name}

# Put our config files in /etc/horde and make symlinks
install -m 0770 -d %{buildroot}%{_sysconfdir}/horde/%{name}
cp -a config/* %{buildroot}%{_sysconfdir}/horde/%{name}
ln -fs ../../../..%{_sysconfdir}/horde/%{name} %{buildroot}%{_datadir}/horde/%{name}/config

# Create default config files
pushd %{buildroot}%{_sysconfdir}/horde/%{name}
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done
popd

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc docs/ LICENSE README
%attr(0770,apache,apache) %config %{_sysconfdir}/horde/%{name}
%attr(0640,apache,apache) %config %{_sysconfdir}/horde/%{name}/*.dist
%attr(0660,apache,apache) %config(noreplace) %{_sysconfdir}/horde/%{name}/*.php
%attr(0660,apache,apache) %config %{_sysconfdir}/horde/%{name}/*.xml

%{_datadir}/horde/%{name}

%changelog
* Sat Jul 24 2010 Nick Bebout <nb@fedoraproject.org> - 2.3-1
- Upgrade to 2.3

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Sep  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.2.1-2
- fix license tag

* Wed Jun 22 2008 Nigel Jones <dev@nigelj.com> - 2.2.1-1
- New Upstream (2.2.1) - Mainly security related changes

* Wed May 28 2008 Nigel Jones <dev@nigelj.com> - 2.2-1
- New Upstream (2.2) & Spec file cleanups

* Tue Feb 26 2008 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> 2.1.7-1
- Update to upstream: CVE-2008-0807: turba: insufficient access checks

* Mon Jan 14 2008 Brandon Holbrook <fedora at theholbrooks.org> 2.1.6-1
- Upgraded to 2.1.6

* Sat Oct 20 2007 Brandon Holbrook <fedora at theholbrooks.org> 2.1.5-1
- Upgraded to 2.1.5

* Tue Mar 20 2007 Brandon Holbrook <fedora at theholbrooks.org> 2.1.4-1
- Upgraded to upstream 2.1.4

* Thu Dec 28 2006 Brandon Holbrook <fedora at theholbrooks.org> 2.1.3-2
- symlink to /etc/horde/turba/ is now relative

* Tue Dec 26 2006 Brandon Holbrook <fedora at theholbrooks.org> 2.1.3-1
- Completely reworked for Fedora
- config files moved to /etc/horde/turba
- use find_lang to pull in translations

* Tue Nov 14 2006 Johnny Hughes <johnny@centos.org> turba-h3-2.1.3.c4
- upgraded to upstream version 2.1.3

* Wed Aug 16 2006 Johnny Hughes <johnny@centos.org> turba-h3-2.1.2c4
- upgraded to upstream version 2.1.2
- changed config files from config to config(noreplace)

* Tue Apr 11 2006 Johnny Hughes <johnny@centos.org> turba-h3-2.1.c4
- upgraded to upstream version 2.1

* Mon Dec 12 2005 Johnny Hughes <johnny@centos.org> turba-h3-2.0.5-1.centos4
- upgraded to upstream version 2.0.5
  see this link: http://marc.theaimsgroup.com/?l=horde-announce&m=113433120829232&w=2

* Sat Oct 29 2005 Johnny Hughes <johnny@centos.org> turba-h3-2.0.4-1.centos4
- Initial build for CentOS4
- Changed the html location to be consistent w/CentOS web apps (/usr/share)

* Thu Mar 31 2005 Greg Swallow <gregswallow@skynetonline.ca>
- [2.0.2-7sme01]
- renamed to turba-h3
- Update for turba-h3-2.0.2 on SME 7

* Tue Aug 31 2004 Shad L. Lords <slords@mail.com>
- [1.2-2sme01]
- Update specfile - change apache to httpd in requires

* Thu May 6 2004 Michael Soulier <michael_soulier@mitel.com>
- [1.2-1es01]
- Patched to remove braindead String class reference. [MN00025049]

* Wed Apr 23 2003 Gordon Rowell <gordon_rowell@mitel.com>
- [1.2-1es00]
- Rebuild [gordonr 7694]

* Wed Mar 12 2003 Dan Brown <dan@familybrown.org>
- [1.2-1es]
- Rebuilding with Turba 1.2

* Wed May 22 2002 Charlie Brady <charlieb@e-smith.com>
- [1.0-6es]
- Rebuilding in-house. Change Vendor and Packager tags. no other change,

* Fri Mar  8 2002 Dan Brown <dan@familybrown.org> 1.0-5es
- changed Apache dependency to >= 1.3.19

* Tue Feb 12 2002 Dan Brown <dan@familybrown.org>
- 1.0 release 4es
- http://cvs.horde.org/diff.php/turba/lib/api.php?r1=1.14.2.3&r2=1.14.2.4&ty=u
- patch to fix errors adding contacts

* Mon Feb 11 2002 Dan Brown <dan@familybrown.org>
- 1.0 release 3es
- changed turba.sql to run CREATE TABLE IF NOT EXISTS

* Sun Feb 10 2002 Dan Brown <dan@familybrown.org>
- 1.0 release 2es
- removed httpd restart--it's giving errors on SME 5.1.2, and
  it's handled by the e-smith-horde RPM

* Sat Feb 09 2002 Dan Brown <dan@familybrown.org>
- 1.0 release 1es
- changed apache user, group, and content directory

* Wed Jan 02 2002 Brent J. Nordquist <bjn@horde.org>
- 1.0 release 1

* Mon Dec 24 2001 Brent J. Nordquist <bjn@horde.org>
- 1.0-RC4 release 1

* Sun Dec 16 2001 Brent J. Nordquist <bjn@horde.org>
- initial RPM for Turba 1.0
